g.gui.datacatalog(1)

NAME
g.gui.datacatalog - Tool for browsing, modifying and managing GRASS maps.

KEYWORDS
general, GUI, map management

SYNOPSIS
g.gui.datacatalog
g.gui.datacatalog --help
g.gui.datacatalog [--help] [--verbose] [--quiet] [--ui]

  Flags:

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

DESCRIPTION
The Data Catalog is a wxGUI component for browsing, modifying and managing GRASS maps.

Data Catalog allows you to:

    •   browse GRASS locations and mapsets in the current GIS directory

    •   browse GRASS 2D/3D raster and vector maps

    •   rename, copy, move and delete GRASS maps including reprojection between different locations

    •   drag and drop maps for copying and moving

    •   searching and filtering maps using regular expressions

    •   display map in current location

    •   show metadata of maps
Figure: Data Catalog integrated in wxGUI.

NOTES
Some operations (copying, renaming, deleting) are by default enabled only within the current mapset. To allow changing data outside of your current mapset, you need to press Unlock button in Data Catalog toolbar.

  WARNING
When renaming, copying or deleting maps outside of Data Catalog, you need to reload the current mapset or entire database, because it is currently not synchronised.

SEE ALSO
wxGUI
wxGUI components

g.copy, g.rename, g.remove, g.list

AUTHORS
Anna Petrasova, NCSU GeoForAll Laboratory
Tereza Fiedlerova, OSGeoREL, Czech Technical University in Prague, Czech Republic

SOURCE CODE

Available at: wxGUI Data Catalog source code (history)

Latest change: Friday Jun 02 21:39:56 2023 in commit: dc88d85ecf73a109b066e54796e3cc35ead4d6d4

Main index | GUI index | Topics index | Keywords index | Graphical index | Full index

© 2003-2023 GRASS Development Team, GRASS GIS 8.4.0dev Reference Manual